module data

import os
import sqlite

const database_location = os.real_path('./data/db.sqlite3')

pub fn run() ?sqlite.DB {
	db := sqlite.connect(database_location) or {
		return err
	}
	profile_table := "CREATE TABLE IF NOT EXISTS profile (id integer primary key,name text default 'j doe',email text default 'j.doe@example.org', bio text default '', age integer default 0, created datetime default current_timestamp);"
	db.exec(profile_table)

	timeline_table := "CREATE TABLE IF NOT EXISTS timeline (id integer primary key, topic text default '', content text default '', created datetime default current_timestamp);"
	db.exec(timeline_table)


	return db
}
